#!/usr/bin/env node
var minimist = require('minimist');
var columnify = require('columnify');
var typings_1 = require('../typings');
var cli_1 = require('../utils/cli');
var config_1 = require('../utils/config');
var args = minimist(process.argv.slice(2), {
    boolean: ['verbose', 'help'],
    string: ['name', 'source'],
    alias: {
        name: ['n'],
        source: ['s'],
        offset: ['o'],
        limit: ['l'],
        verbose: ['v'],
        help: ['h']
    }
});
if (args.help) {
    console.log("\n" + config_1.PROJECT_NAME + " search [query]\n\nOptions: [--name] [--source] [--offset] [--limit]\n");
    process.exit(0);
}
cli_1.loader(typings_1.search(args._[0], args))
    .then(function (result) {
    var results = result.results, total = result.total;
    if (results.length === total) {
        console.log("Showing " + total + " matches...");
    }
    else {
        console.log("Showing " + results.length + " of " + total + " matches...");
    }
    console.log();
    console.log(columnify(results));
});
//# sourceMappingURL=typings-search.js.map